<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright (C) 2008 Cognos ULC, an IBM Company. All rights reserved.
   Cognos (R) is a trademark of Cognos ULC, (formerly Cognos Incorporated).
-->
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:ca="http://developer.cognos.com/schemas/xts/logicsheets/xslt/presentation/dialog/centralabout/" 
	xmlns:dp="http://developer.cognos.com/schemas/xts/logicsheets/xslt/presentation/dialog/presentation/" 
	xmlns:xts="http://developer.cognos.com/schemas/xts/" 
	xmlns:out="dummy-uri" 
	xmlns:xtsext="xalan://com.cognos.xts.ext.XTSExt"
	xmlns:cm="http://developer.cognos.com/schemas/xts-cm/1/" 
	xmlns:utml="http://developer.cognos.com/schemas/xts/logicsheet/xslt/formlogic/" exclude-result-prefixes="dp xsl xtsext xts utml cm">
	
	<xsl:output method="xml" encoding="UTF-8" indent="no"/>
	<xsl:namespace-alias stylesheet-prefix="out" result-prefix="xsl"/>
<!-- 
This stylesheet (centralabout.xsl) consists of the following templates:
	ca:version - render the about version.
	ca:copyright - render the about copyright.
	ca:trademark - render the about trademark.
	ca:legal - render the about legal obligations.
-->	

<!-- 
	Template - ca:version:
		This template is used for rendering the build version number to be presented in the about box.
-->
<xsl:template match="ca:version">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td  height="10"  width="100%">
					<img height="10" width="1">
						<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
					</img>
				</td>
			</tr>
		</table>
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td><img height="30" width="5"><xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute></img></td>
				<td height="30" width="30" valign="middle" style="padding-right:10px;">
					<img src="{'{$brand_images}'}about.gif" >
						<out:attribute name="alt">
							<xts:string id="IDS_BUSINESS_NAME"/>
						</out:attribute>
					</img>
				</td>
				<td width="100%" height="30">
					<table border="0" cellpadding="0" cellspacing="0">
						<tr>
							<td valign="top" height="15">
								<span  class="bold"><span class="dialogHeaderText"><xts:string id="IDS_ABOUT_VERSION"/></span></span>&#160;<span class="dialogHeaderText"><xsl:copy-of select="dp:version/child::node()"/></span><span class="formText"><xsl:copy-of select="dp:versionText/child::node()"/></span>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>

<!-- 
	Template - ca:trademark:
		This template is used for rendering the trademark information  to be presented in the about box.
-->
	<xsl:template match="ca:trademark">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
  			<tr>
  				<td width="100%" style="padding-top: 10px; padding-left: 45px; padding-right: 18px;">
  					<iframe style="width:100%;height:200px;margin:0px;" src="{'{$webRoot}'}/documentation/cognos_copyright.html"/>
  				</td>
  			</tr>
  		</table>
	</xsl:template>

<!-- 
	Template - ca:legal:
		This template is used for rendering the legal obligations to be presented in the about box.
-->
	<xsl:template match="ca:legal">
		<table  width="100%" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td class="legalText" valign="middle" height="20" style="padding-top: 10px; padding-left: 5px;">
					<xts:string id="IDS_RI_COPYRIGHT"/>
				</td>
			</tr>
		</table>
	</xsl:template>

	
	<!-- 
	* - This next template is required to copy all other elements into the result. 
	-->
	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>